なかだです。

At Wed, 2 Sep 2009 11:51:58 +0900,
(株)ネットフォレスト 植田裕之 wrote in [ruby-list:46346]:
> > 1.8.7 でも enumerator.so がなくなりましたが、Enumerator ではなく、
> > Enumerable::Enumerator として本体に取り込まれています。
> 
> それで 1.8.6 -> 1.8.7 で enumerator.so がなくなったのですね。理解しまし
> た。
> 
> 
> > この辺の挙動の違いが影響しているのかなぁと思うんですが、詳細はわかりません。
> 
>  ruby スクリプトとして ruby.exe 経由で実行(?)する場合には問題が無くて、
> exerb で exe 化した exe だとエラーになるんですよね...

exerb側でenumerator.soがpreload libraryと認識されていないという
問題ではないかと思います。

-- 
--- 僕の前にBugはない。
--- 僕の後ろにBugはできる。
    中田 伸悦